summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'hardened/toolchain/branches/pieworld/sys-devel/gcc/files/fix_libtool_files.sh')
-rw-r--r--hardened/toolchain/branches/pieworld/sys-devel/gcc/files/fix_libtool_files.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/hardened/toolchain/branches/pieworld/sys-devel/gcc/files/fix_libtool_files.sh b/hardened/toolchain/branches/pieworld/sys-devel/gcc/files/fix_libtool_files.sh
index c144be2..ae684ad 100644
--- a/hardened/toolchain/branches/pieworld/sys-devel/gcc/files/fix_libtool_files.sh
+++ b/hardened/toolchain/branches/pieworld/sys-devel/gcc/files/fix_libtool_files.sh
@@ -1,7 +1,7 @@
#!/bin/bash
-# Copyright 1999-2005 Gentoo Foundation
+# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/files/fix_libtool_files.sh,v 1.12 2005/01/30 18:45:22 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/files/fix_libtool_files.sh,v 1.13 2007/05/05 01:10:43 vapier Exp $
usage() {
cat << "USAGE_END"
@@ -38,8 +38,8 @@ ARGV1=$1
ARGV2=$2
ARGV3=$3
-source /etc/profile
-source /sbin/functions.sh
+source /etc/profile || exit 1
+source /etc/init.d/functions.sh || exit 1
if [[ ${EUID} -ne 0 ]] ; then
eerror "${0##*/}: Must be root."